<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnc.fubang.add.PdaGncFuBangAddViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    shape_bg_color="@{@color/white}"
                    shape_radius="@{6}"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/white">

                    <Spinner
                        hint='@{"请选择通道"}'
                        items="@{viewModel.passageList}"
                        onSelected="@{viewModel::onPassageSelected}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/bg_spinner_pda"
                        android:textSize="14sp"
                        android:theme="@style/spinner_normal" />

                </LinearLayout>

                <LinearLayout
                    shape_bg_color="@{@color/white}"
                    shape_radius="@{6}"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:paddingStart="10dp">

                    <EditText
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@null"
                        setFocusLoseListener="@{viewModel::getDetails}"
                        android:hint="请输入平板车号"
                        android:text="@={viewModel.dataBean.carId}"
                        android:textColor="@color/text_normal"
                        android:textColorHint="@color/text_gray_l"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:onClick="@{()-> viewModel.scanClick()}"
                        android:padding="5dp"
                        android:src="@mipmap/scan_code" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_gray_borad"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="1dp"
                    android:layout_marginTop="1dp"
                    android:background="@drawable/bg_shouyun_dbcz"
                    android:gravity="center"
                    android:text="地磅称重"
                    android:textColor="@color/text_normal"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="1dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_shouyun_dbzl">

                    <!--<TextView
                        visible="@{!viewModel.showWeightEdit}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:background="@null"
                        android:gravity="center"
                        android:onLongClick="@{()-> viewModel.onWeightLoginClick()}"
                        android:text="@{viewModel.diBangModel.weight}"
                        android:textColor="@color/red"
                        android:textSize="20sp"
                        android:textStyle="bold"
                        tools:text="0.00" />-->

                    <EditText
                        visible="@{viewModel.showWeightEdit}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:background="@null"
                        android:gravity="center"
                        android:text="@={viewModel.diBangModel.weight}"
                        android:textColor="@color/red"
                        android:textSize="20sp"
                        android:textStyle="bold"
                        android:visibility="gone"
                        tools:text="0.00" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="5dp"
                        android:text="KG"
                        android:textColor="@color/red" />

                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            shape_bg_color="@{@color/white}"
            shape_radius="@{8}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingHorizontal="10dp"
            android:paddingVertical="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="收运参考值"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@{viewModel.dataBean.netWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="当前值"
                        android:textColor="@color/red" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@{viewModel.dataBean.currentWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="偏差"
                        android:textColor="@color/red" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@{viewModel.dataBean.deviation}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="体积"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.volume}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="计划航班"
                        android:textColor="@color/green" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.flight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="目的港"
                        android:textColor="@color/green" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@{viewModel.dataBean.fdest}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="平板自重"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:background="@null"
                            android:text="@{viewModel.dataBean.carWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="舱位"
                        android:textColor="@color/green" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.location}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="件数"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.pc}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="优先级"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.priority}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="货物类型"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            items="@{viewModel.goodsTypeList}"
                            onSelected="@{viewModel::onGoodsTypeSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="其中邮件"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.mailWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="ULD"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            setFocusLoseListener="@{viewModel::getUldInfo}"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.uld}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="ULD自重"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        setEnable="@{false}"
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.uldWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="板型"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.boardType}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="100dp"
                        android:layout_height="wrap_content"
                        android:text="备注"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.remark}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>


            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical">

            <CheckBox
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:button="@drawable/p_checkbox_selector"
                android:checked="@={viewModel.print}"
                android:paddingLeft="5dp"
                android:text="打印挂签" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:background="@color/colorPrimary"
                android:gravity="center"
                android:onClick="@{()->viewModel.confirmClick()}"
                android:paddingHorizontal="20dp"
                android:text="完成复磅"
                android:textColor="@color/white" />
        </LinearLayout>

    </LinearLayout>
</layout>